$(document).ready(function() {
        $.fn.datepicker.dates['en'] = {
            days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
            daysShort: ["Dom", "Lun", "Mar", "Mier", "Jue", "Vier", "Sab"],
            daysMin: ["D", "L", "Ma", "Mi", "J", "V", "S"],
            months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
            monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
            today: "Today",
            clear: "Clear",
        
            weekStart: 0
          };
        
          $.datepicker.setDefaults($.datepicker.regional['en']);
          $.fn.datepicker.defaults.autoclose = true;
          var today = new Date();
                $(".date-picker").datepicker({
                    isRTL: false,
                    format: "dd-mm-yyyy",
                    viewMode: "months,days", 
                    minViewMode: "months,days",
                    autoclose: true,
                   startDate: new Date(today.getFullYear(), today.getMonth(), today.getDate()),
                todayHighlight: true,
                            
           });
                
    var clasificacion=document.getElementById('clasificacion');
    var formulario=document.getElementById('promociones');
    formulario.addEventListener('submit', function(evt){
        evt.preventDefault();

            var fechaIn=document.getElementById('fechai').value;
            var fechaFin=document.getElementById('fechaf').value;
            var separar=fechaIn.split("-");
            var separar2=fechaFin.split("-");
            var fecha1 = separar[2]+'-'+separar[1]+'-'+separar[0];
            var fecha2 = separar2[2]+'-'+separar2[1]+'-'+separar2[0];
            if(Date.parse(fecha1)>Date.parse(fecha2))
            {
                swal({
                    title: "¡Verifique la fecha de inicio y fin!",
                    icon: "warning",
                    buttons: "Aceptar",
                    confirm: true,
                  })
                .then((confirm) => {
                    if(confirm)
                    {
                        return false;
                    }
                });
            }else{
                formulario.submit();
            }
    });
    clasificacion.addEventListener("change", function() {
      if(clasificacion.value == "UNITARIO")
      {
          document.getElementById('sesiones').value=1;
      }
      if(clasificacion.value == "PAQUETE"){
        document.getElementById('sesiones').value="";
      }
    });
});
function validaPunto(e){
            tecla = (document.all) ? e.keyCode : e.which;

            //Tecla de retroceso para borrar, siempre la permite
            if (tecla==8){
              return true;
            }
    
            // Patron de entrada, en este caso solo acepta numeros
            patron =/["0123456789."]/;
            tecla_final = String.fromCharCode(tecla);
            return patron.test(tecla_final);
        }

